Summary: API documentation generation tool for GTK+ and GNOME
Name: gtk-doc
Version: 1.11
Release: 5.1%{?dist}
License: GPLv2+ and GFDL
Group: Development/Tools
Source: http://ftp.gnome.org/pub/GNOME/sources/gtk-doc/1.11/gtk-doc-%{version}.tar.bz2 
# http://bugzilla.gnome.org/show_bug.cgi?id=562064
Patch0: gtk-doc-index.patch
BuildArch: noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://www.gtk.org/gtk-doc

BuildRequires: docbook-utils 
BuildRequires: jade 
BuildRequires: libxslt 
BuildRequires: docbook-style-xsl
BuildRequires: scrollkeeper
BuildRequires: python
BuildRequires: gnome-doc-utils

Requires(post): scrollkeeper
Requires(postun): scrollkeeper

Requires: docbook-utils jade /usr/bin/cmp libxslt docbook-style-xsl
# we are installing an automake macro
Requires: automake
# we are installing a .pc file
Requires: pkgconfig
# we are installing a .omf file
Requires: scrollkeeper
# we are installing an sgml catalog
Requires: sgml-common

Source1: filter-requires-gtk-doc.sh
%define __perl_requires %{SOURCE1}

%description
gtk-doc is a tool for generating API reference documentation.
It is used for generating the documentation for GTK+, GLib
and GNOME.

%prep

%setup -q
%patch0 -p1 -b .index

# Move this doc file to avoid name collisions
mv doc/README doc/README.docs

%build
%configure --enable-public-id --disable-scrollkeeper
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# --disable-scrollkeeper is not enough
rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

mkdir -p $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html

%clean
rm -rf $RPM_BUILD_ROOT

%post 
scrollkeeper-update -q

%postun
scrollkeeper-update -q

%files
%defattr(-, root, root)
%doc AUTHORS README doc/* examples COPYING COPYING-DOCS
%{_bindir}/*
%{_datadir}/aclocal/gtk-doc.m4
%{_datadir}/gtk-doc/
%{_datadir}/sgml/gtk-doc/
%{_datadir}/pkgconfig/gtk-doc.pc
%{_datadir}/gnome/help/gtk-doc-manual/
%{_datadir}/omf/gtk-doc-manual


%changelog

